CREATE TABLE gl_balance_init_history (
    INITIALIZATION_HISTORY_ID     NUMBER(18, 0),
    JOURNAL_IMPORT_GROUP_ID       NUMBER(18, 0)    NOT NULL,
    RUN_TYPE_CODE                 VARCHAR2(120)    NOT NULL,
    SOURCE_LEDGER_ID              NUMBER(18, 0)    NOT NULL,
    TARGET_LEDGER_ID              NUMBER(18, 0)    NOT NULL,
    INITIALIZATION_PERIOD_NAME    VARCHAR2(60)     NOT NULL,
    INITIALIZATION_DATE           DATE             NOT NULL,
    TREE_VERSION_ID               VARCHAR2(128),
    PRIMARY_BAL_SEG_VALUE         VARCHAR2(100),
    SPLIT_BY_PRIMARY_BSV_FLAG     VARCHAR2(4)  ,
    INITIALIZATION_REQUEST_ID     NUMBER(18, 0),
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    INITIALIZATION_HISTORY_ID     NUMBER(18, 0),
    JOURNAL_IMPORT_GROUP_ID       NUMBER(18, 0)    NOT NULL,
    RUN_TYPE_CODE                 VARCHAR2(120)    NOT NULL,
    SOURCE_LEDGER_ID              NUMBER(18, 0)    NOT NULL,
    TARGET_LEDGER_ID              NUMBER(18, 0)    NOT NULL,
    INITIALIZATION_PERIOD_NAME    VARCHAR2(60)     NOT NULL,
    INITIALIZATION_DATE           DATE             NOT NULL,
    TREE_VERSION_ID               VARCHAR2(128),
    PRIMARY_BAL_SEG_VALUE         VARCHAR2(100),
    SPLIT_BY_PRIMARY_BSV_FLAG     VARCHAR2(4)  ,
    INITIALIZATION_REQUEST_ID     NUMBER(18, 0),
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_balance_init_history PRIMARY KEY (INITIALIZATION_HISTORY_ID, INITIALIZATION_HISTORY_ID)
);
